import ApiModel from "~/models/ApiModel";
import {Str, Uid, Attr} from "pinia-orm/dist/decorators";

/**
 * AP2i Model : Network
 *
 * @see https://gitlab.2iopenservice.com/opentalent/ap2i/-/blob/develop/src/Entity/Network/Network.php
 */
export default class Network extends ApiModel {
  static entity = 'networks'

  @Uid()
  declare id: number | string | null

  @Str('')
  declare name: string

  @Attr(null)
  declare networkOrganizationId: number | null
}
